Subject: bug#52503: 29.0.50; sokoban window does not redraw itself

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 19 Dec 2021 13:49:30 +0100

Dieter Deyke <[email-masked]> writes:

> When I play the game sokoban (from ELPA) and the emacs frame gets
> obscured by some other window, sokoban does not get redrawn after being
> unobscured. This is on debian running X windows.
>
> In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.30, cairo version 1.16.0)
>  of 2021-12-10 built on deyke2

I tried reproducing this on the trunk, but I'm unable to.  Here's what I
did:

emacs -Q
M-x package-install RET sokoban RET
M-x sokoban RET

Then put another window over the Emacs window and then moved it again.
This is the display:

This is on Debian/bookworm.

Are there any other steps necessary to reproduce the problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no